
//
// Modifications History
//
//$ LB (13/06/2002)  : changed ObjBitmap management, according to the new ObjBitmap structure
//
//$LB (20/12/2002) : 16bits to 24bits
//

#ifndef _COBJBLITWINDOWS_H_
#define _COBJBLITWINDOWS_H_


#define DEBUG_OBJBLIT 0

#include "lib2Dconf.h"

#ifdef USE_WINDOWS

#include "CObjBuffer.h"

class CObjBufferWindows: public CObjBuffer
{
//$LB (16/12/2003)private:
public:
	// la taille du buffer
	int			WinSizeW;
	int			WinSizeH;
	// le buffer
	int			WinBitsPerPixel;
	int			WinBitsBitmapLength;
	int         Winhandler;
	HBITMAP		WinHbmp;
	OBJBITMAP_BUFFER WinBmp;
	int			WinFlags;

public:
	CObjBufferWindows(int xsize,int ysize);
	virtual ~CObjBufferWindows();

	int  GetId();
	void Blit(int dx,int dy,Layer *source);
	void Clear(int dx1,int dy1,int dx2,int dy2,int bckcolor);
	int  CreateScolBuffer(mmachine m,int ndxchannel,int idcont);
};

#endif

#endif